from fastapi import APIRouter
from mooc.api.v1.endpoints import admin, wechat, account, uni_account

api_router = APIRouter()

api_router.include_router(
    admin.admin_router, 
    prefix="/admins", 
    tags=["admins"]
)

api_router.include_router(
    wechat.router, 
    prefix="/wechat", 
    tags=["wechat"]
)

# 注册账号路由
api_router.include_router(
    account.account_router,
    prefix="/accounts",
    tags=["accounts"]
)

# Add WeChat endpoints
api_router.include_router(wechat.router, prefix="/wechat", tags=["wechat"])



api_router.include_router(
    uni_account.uni_account_router,
    prefix="/uni-accounts",
    tags=["uni-accounts"]
)